Bug 1418437 - [RFE] Containerized deployment of Sahara service
Summary: [RFE] Containerized deployment of Sahara service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: Upstream M2
: 12.0 (Pike)
Assignee: Emilien Macchi
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks: 1442136 1415556
TreeView+ depends on / blocked
 
Reported: 2017-02-01 20:13 UTC by Sean Cohen
Modified: 2018-02-05 19:04 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170616123155.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-13 21:06:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 462680 0 None None None 2017-05-17 21:47:35 UTC
OpenStack gerrit 462681 0 None None None 2017-05-17 21:48:04 UTC
Red Hat Product Errata RHEA-2017:3462 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Sean Cohen 2017-02-01 20:13:16 UTC
Provide customers more stable, flexible, reliable and faster Sahara service deployments with more reliable and flexible lifecycle management and possibility to rollback when something goes wrong.

Comment 3 Telles Nobrega 2017-05-04 19:08:44 UTC
Upstream patches 

https://review.openstack.org/#/c/462680/
https://review.openstack.org/#/c/462681/

Comment 6 Luigi Toscano 2017-10-20 09:03:46 UTC
A containerized TripleO deployment can spawn clusters.


Tested with a containerized deployment (Spark and CDH 5.7):
openstack-tripleo-common-7.6.1-0.20170926174320.el7ost.noarch
python-tripleoclient-7.3.1-0.20170925220840.f114a61.el7ost.noarch
puppet-tripleo-7.4.1-0.20170926200750.265a13a.el7ost.noarch
openstack-tripleo-image-elements-7.0.0-0.20170914203419.526772d.el7ost.noarch
openstack-tripleo-puppet-elements-7.0.0-0.20170914203705.2094778.el7ost.noarch
openstack-tripleo-heat-templates-7.0.1-0.20170927205938.el7ost.noarch
openstack-tripleo-validations-7.4.0-0.20170918153806.efe8a72.el7ost.noarch
openstack-tripleo-ui-7.4.1-0.20170925201442.2bb5965.el7ost.noarch
openstack-tripleo-common-containers-7.6.1-0.20170926174320.el7ost.noarch

Sahara services were running on the container and split between two containers (sahara_api and sahara_engine), with the following packages:

openstack-sahara-api-7.0.1-0.20170912230210.bdc7d83.el7ost.noarch (only sahara_api)
openstack-sahara-engine-7.0.1-0.20170912230210.bdc7d83.el7ost.noarch (only sahara_engine)
python-saharaclient-1.3.0-0.20170821151147.4275d17.el7ost.noarch
openstack-sahara-common-7.0.1-0.20170912230210.bdc7d83.el7ost.noarch
python-sahara-7.0.1-0.20170912230210.bdc7d83.el7ost.noarch

Comment 9 errata-xmlrpc 2017-12-13 21:06:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.